set SAVEPROMPT=%PROMPT%
set PROMPT=
rem InstallShield program path
rem INSTRC is required by setup.rul
set INSTALLSHIELD=d:\programme\installshield
set INSTRC=%INSTALLSHIELD%\dialogs\include
set PROGRAM=%installshield%\program


rem Make sure there aren't any read-only files
attrib -r setup\*.*
attrib -r Data\*.* /s

rem Okay, on with the installer... compile it (-g is debugging info)
%PROGRAM%\compile.exe setup\setup.rul
pause to examine any error messages

rem Make directories for disk images
rd /s /q Images
md Images
md Images\Disk1

copy %program%\uninst.exe data\pgp55

rem Pack up the data in the Data Directory
%PROGRAM%\icomp.exe -i Data\*.* Images\data.z                     

rem Copy the standard InstallShield files to Disk 1
copy %PROGRAM%\setup.exe Images\Disk1
copy %PROGRAM%\_inst32i.ex_ Images\Disk1
copy %PROGRAM%\_setup.dll Images\Disk1
copy %PROGRAM%\_isdel.exe Images\Disk1

rem Copy setup script to Disk1
copy setup\setup.ini Images\Disk1
copy setup\setup.ins Images\Disk1

cd setup
%PROGRAM%\packlist.exe setup.lst
move setup.pkg ..\Images\Disk1
cd ..

rem Assemble the temporary stuff (deleted when install finishes)
copy Data\PGP55\license.txt tempstuff
copy Data\PGP55\readme.txt tempstuff
copy %PROGRAM%\_isres.dll tempstuff
del tempstuff\_setup.lib
%PROGRAM%\icomp.exe -i tempstuff\*.* Images\Disk1\_setup.lib

move images\data.z images\disk1\data.z

rem Clean up the environment
set INSTALLSHIELD=
set INSTRC=
set PROGRAM=
set EXEBUILD=

rem Build.bat complete
set PROMPT=%SAVEPROMPT%
set SAVEPROMPT=
